import "core-js/modules/es.function.name";
import { defineComponent, mergeProps, createVNode } from "vue";
import { TinyColumn } from '@antv/g2plot';
import BaseChart from '../../components/base';
var TinyColumnChart = defineComponent({
  name: 'TinyColumnChart',
  setup: function setup(props, ctx) {
    return function () {
      return createVNode(BaseChart, mergeProps({
        "chart": TinyColumn
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

TinyColumnChart.install = function (app) {
  app.component(TinyColumnChart.name, TinyColumnChart);
};

export default TinyColumnChart;