import { LiquidOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
export declare type LiquidChartProps = Omit<BaseChartProps<LiquidOptions>, 'chart'> & LiquidOptions;
declare const LiquidChart: import("vue").DefineComponent<LiquidChartProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | number[] | "auto" | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | undefined;
    supportCSSTransform?: boolean | undefined;
    style?: string | import("vue").CSSProperties | undefined;
    color?: string | string[] | ((datum: Record<string, any>) => string) | undefined;
    chartRef?: import("vue").Ref<import("@antv/g2plot").Plot<LiquidOptions> | null> | undefined;
    label?: false | ({
        readonly fields?: string[] | undefined;
        readonly callback?: import("@antv/g2/lib/interface").LabelCallback | undefined;
        readonly formatter?: string | import("@antv/g-base").IGroup | import("@antv/g-base").IShape | import("@antv/g2/lib/interface").GeometryLabelContentCallback | undefined;
    } & import("@antv/g2/lib/interface").GeometryLabelCfg) | undefined;
    legend?: boolean | import("@antv/g2/lib/interface").LegendCfg | undefined;
    meta?: unknown;
    localRefresh?: boolean | undefined;
    theme?: unknown;
    xAxis?: (false & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: string | ((scale: any) => any[]) | undefined;
    }) | (true & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: string | ((scale: any) => any[]) | undefined;
    }) | (import("@antv/g2/lib/interface").AxisCfg & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: string | ((scale: any) => any[]) | undefined;
    }) | undefined;
    yAxis?: (false & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: string | ((scale: any) => any[]) | undefined;
    }) | (true & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: string | ((scale: any) => any[]) | undefined;
    }) | (import("@antv/g2/lib/interface").AxisCfg & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: string | ((scale: any) => any[]) | undefined;
    }) | undefined;
    tooltip?: false | (import("@antv/g2/lib/interface").TooltipCfg & {
        readonly formatter?: ((title: string, data: any[]) => string | HTMLElement) | undefined;
    }) | undefined;
    slider?: boolean | import("@antv/g2/lib/interface").SliderCfg | undefined;
    scrollbar?: boolean | import("@antv/g2/lib/interface").ScrollbarCfg | undefined;
    animation?: boolean | import("@antv/g2/lib/interface").AnimateOption | undefined;
    interactions?: import("@antv/g2plot/lib/types/interaction").Interaction[] | undefined;
    annotations?: import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateCfg | undefined;
    percent?: number | undefined;
    radius?: number | undefined;
    statistic?: import("@antv/g2plot").Statistic | undefined;
    liquidStyle?: import("@antv/g-base").ShapeAttrs | ((datum: Record<string, any>) => import("@antv/g-base").ShapeAttrs) | undefined;
}>, {
    class: any;
}>;
export default LiquidChart;
