import { TinyLineOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
export declare type TinyLineChartProps = Omit<BaseChartProps<TinyLineOptions>, 'chart'> & TinyLineOptions;
declare const TinyLineChart: import("vue").DefineComponent<TinyLineChartProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | number[] | "auto" | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | undefined;
    supportCSSTransform?: boolean | undefined;
    style?: string | import("vue").CSSProperties | undefined;
    color?: string | string[] | ((datum: Record<string, any>) => string) | undefined;
    chartRef?: import("vue").Ref<import("@antv/g2plot").Plot<TinyLineOptions> | null> | undefined;
    data?: number[] | undefined;
    meta?: unknown;
    point?: import("@antv/g2plot/lib/adaptor/geometries/base").MappingOptions | undefined;
    smooth?: boolean | undefined;
    localRefresh?: boolean | undefined;
    theme?: unknown;
    xAxis?: (false & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: string | ((scale: any) => any[]) | undefined;
    }) | (true & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: string | ((scale: any) => any[]) | undefined;
    }) | (import("@antv/g2/lib/interface").AxisCfg & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: string | ((scale: any) => any[]) | undefined;
    }) | undefined;
    yAxis?: (false & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: string | ((scale: any) => any[]) | undefined;
    }) | (true & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: string | ((scale: any) => any[]) | undefined;
    }) | (import("@antv/g2/lib/interface").AxisCfg & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: string | ((scale: any) => any[]) | undefined;
    }) | undefined;
    tooltip?: false | (import("@antv/g2/lib/interface").TooltipCfg & {
        readonly formatter?: ((title: string, data: any[]) => string | HTMLElement) | undefined;
    }) | undefined;
    slider?: boolean | import("@antv/g2/lib/interface").SliderCfg | undefined;
    scrollbar?: boolean | import("@antv/g2/lib/interface").ScrollbarCfg | undefined;
    animation?: boolean | import("@antv/g2/lib/interface").AnimateOption | undefined;
    interactions?: import("@antv/g2plot/lib/types/interaction").Interaction[] | undefined;
    annotations?: import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateCfg | undefined;
    connectNulls?: boolean | undefined;
    lineStyle?: import("@antv/g-base").ShapeAttrs | ((datum: Record<string, any>) => import("@antv/g-base").ShapeAttrs) | undefined;
}>, {
    class: any;
}>;
export default TinyLineChart;
